Bug 139920 - inconsistent drag-and-drop of windows
inconsistent drag-and-drop of windows
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gnome-core (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 14:37 EST by Allyn Dimock
Modified: 2015-01-07 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-18 15:09:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allyn Dimock 2004-11-18 14:37:06 EST
Description of problem:

After a window has been dragged on the screen with 
mouse1-down on top bar
drag
mouse-1 up

It may or may not jump to the mouse position on the next click of mouse-1

If the window does not move when mouse moves to drag it, then it will 
always jump positions on next mouse-1 click.  If window moves when
dragged, it will sometimes jump on next mouse'1 click, sometimes not.

Version-Release number of selected component (if applicable):

"about" on main menu bar says "Gnome 2.2.2" but is standard 
window manager for Redhat Workstation 3, which I am told is Bluecurve.


How reproducible:

Happens about 50% of all drags & drops on my Workstation 3 system at
work.  Never happens on my Redhat 8 system at home.  I do not know
what sequence will reproduce the bug.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Windows preferences may be relevant:  mine are set to "Select windows 
when the mouse moves over them".  The behavior is independent of 
whether "Raise selected windows after an interval" is set or not.
Comment 1 Havoc Pennington 2004-11-18 15:09:46 EST
This is fixed in the next update

You can get test packages at ftp://people.redhat.com/hp/testing/
Comment 2 Allyn Dimock 2004-12-14 11:05:24 EST
December 14:
AFAIK the fix has not come out via up2date for Workstation 3.
can you indivate which of the rpms in
ftp://people.redhat.com/hp/testing/ I should install for the fix?

Thanks.  

-- Allyn

Note You need to log in before you can comment on or make changes to this bug.